Bug 41655 - Some variable informations are not output in some languages.
Some variable informations are not output in some languages.
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.20
All All
: P5 trivial (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-02-19 04:44 UTC by Suzuki Yuichiro
Modified: 2007-04-18 19:58 UTC (History)
0 users



Attachments
for org.apache.catalina.startup.LocalStrings_ja.properties (3.56 KB, patch)
2007-03-05 20:25 UTC, Suzuki Yuichiro
Details | Diff
for org.apache.jasper.resources.LocalStrings_ja.properties (1.31 KB, patch)
2007-03-05 20:32 UTC, Suzuki Yuichiro
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Suzuki Yuichiro 2007-02-19 04:44:01 UTC
I noticed that some variable informations are not output to the log in some 
locales.

It is because the variable informations has not been described to the 
properties file, though the value is given by the argument of 
StringManager#getString. 

-org.apache.catalina.startup.LocalStrings_fr.properties
                             LocalStrings_es.properties
                             LocalStrings_ja.properties
 key:
    contextConfig.applicationParse  ... {0} not exists.
    contextConfig.tldEntryException ... {2} not exists.
    contextConfig.tldFileException  ... {1} not exists.
    contextConfig.tldJarException   ... {1} not exists.

-org.apache.jasper.resources.LocalStrings_ja.properties
 key:
    jsp.error.bad.scratch.dir  ... {0} not exists.

I hope for them to be written in the properties files to debug applications 
easily.
Comment 1 Mark Thomas 2007-02-27 20:28:39 UTC
I have fixed the French and Spanish messages(with a bit a help from someone
who's French and Spanish is better than mine) but I don't have a clue what
changes are required for the Japanese ones.

If you (or anyone else) can provide me with patches for the Japanese messages
I'll fix those as well.
Comment 2 Suzuki Yuichiro 2007-03-05 20:25:37 UTC
Created attachment 19668 [details]
for org.apache.catalina.startup.LocalStrings_ja.properties
Comment 3 Suzuki Yuichiro 2007-03-05 20:32:02 UTC
Created attachment 19669 [details]
for org.apache.jasper.resources.LocalStrings_ja.properties
Comment 4 Suzuki Yuichiro 2007-03-05 20:35:58 UTC
The patch was appended. 

Best regards. 
Comment 5 Mark Thomas 2007-04-18 19:58:54 UTC
Thanks for the translations. The fix has been applied to svn and will be
included in 5.5.24 and 6.0.12 onwards.

Many thanks.